Subject: Magazine Article on Fritillary

From: [email-masked] (ClaySierra)
Date: 18 Feb 1995 12:52:19 -0500

There is a short (one-page) article on the Fritillary in the 3/8 issue of
Awake! magazine. If you are interested in reading it, contact Jehovah's
Witnesses in your area at the local Kingdom Hall or by telephone to obtain
a copy.
[email-masked]